Name:		gogui
Version:	1.4.6
Release:	3%{?dist}
Summary:	It is a graphical user interface to programs that play the board game Go

License:	GPLv3
URL:		http://gogui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip
#This patch removes manifest Class-Path in build.xml
#This patch has been report to upstream
#http://sourceforge.net/tracker/?func=detail&aid=3578030&group_id=59117&atid=489964 
Patch0:		gogui-1.4.6-manifest.patch

BuildRequires:	java-devel, jpackage-utils
BuildRequires:	ant, docbook-style-xsl, libxslt-devel, libxml2-devel, desktop-file-utils
Requires:	java, jpackage-utils
BuildArch:	noarch

%description
Graphical interface to programs that play
the game of Go and use the Go Text Protocol (GTP), 
such as GNU Go. GoGui has special features 
that are useful for Go program developers.

%description -l fr_FR
Interface graphique pour les programmes qui lancent
le jeu de Go et utilisent le texte du Protocole Go (GTP),
tel que GNU Go. Gogui a des caractéristiques spéciales
qui sont utiles pour les concepteurs de programmes Go.

%package javadoc
Summary:	Java docs for %{name}
BuildRequires:	docbook-xsl
Requires:	jpackage-utils
BuildArch:	noarch

%description javadoc
This package contains the API documentation for %{name}.

%description -l fr_FR javadoc
Ce paquet contient la documentation API de %{name}.

%prep
%setup -q
%patch0 -p1
find -name '*.jar' -exec rm -f '{}' \;

%build
ant -p
ant -Ddocbook-xsl.dir="%{_datadir}/sgml/docbook/xsl-stylesheets" \
 -Ddocbook.dtd-4.2="%{_datadir}/sgml/docbook/sgml-dtd-4.3/docbookx.dtd" -Dquaqua.ignore="true"
ant javadoc

%install
install -d $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 lib/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d $RPM_BUILD_ROOT%{_bindir}
JAVA_DEFAULT="$JAVA_HOME/bin/java"
for FILE in bin/*; do
	if [ -f $FILE -a -x $FILE ]; then
		cat $FILE \
		| sed -e "s;^GOGUI_LIB=.*;GOGUI_LIB=\"%{_javadir}/%{name}\";" \
		-e "s;^JAVA_DEFAULT=.*;JAVA_DEFAULT=\"$JAVA_DEFAULT\";" \
		> $RPM_BUILD_ROOT%{_prefix}/$FILE
		chmod a+x $RPM_BUILD_ROOT%{_prefix}/$FILE
	fi
done
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -pm 644 doc/manual/html/*.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 644 doc/manual/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Install icons
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/mimetypes
install -pm 644 config/gogui-gogui.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/mimetypes/gogui.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 config/application-x-go-sgf.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -pm 644 src/net/sf/gogui/images/gogui.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps

# Install desktop entry
desktop-file-install				\
--add-category="Game"				\
--dir=$RPM_BUILD_ROOT%{_datadir}/applications/	\
--set-icon="gogui"				\
config/gogui-gogui.desktop
mv $RPM_BUILD_ROOT%{_datadir}/applications/gogui-gogui.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/gogui.desktop

# Install shared mime info
install -d $RPM_BUILD_ROOT%{_datadir}//mime/packages
install -pm 644 config/gogui-mime.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

# Install Gnome 3 thumbnailer
install -d $RPM_BUILD_ROOT%{_datadir}/thumbnailers
cat config/gogui.thumbnailer | sed "s;/usr/bin/gogui-thumbnailer;$PREFIX/bin/gogui-thumbnailer;" \
> $RPM_BUILD_ROOT%{_prefix}/share/thumbnailers/gogui.thumbnailer

%post
%{_bindir}/update-desktop-database &> /dev/null || :
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
%{_bindir}/update-desktop-database &> /dev/null || :
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%{_javadir}/%{name}/
%{_bindir}/gogui*
%{_datadir}/applications/gogui.desktop
%{_datadir}/thumbnailers/gogui.thumbnailer
%doc COPYING.html README.html
%{_defaultdocdir}/%{name}/
%{_mandir}/man1/gogui*
%{_datadir}/icons/hicolor/48x48/apps/application-x-go-sgf.png
%{_datadir}/icons/hicolor/48x48/mimetypes/gogui.png
%{_datadir}/icons/hicolor/scalable/apps/gogui.svg
%{_datadir}/mime/packages/gogui-mime.xml

%files javadoc
%{_javadocdir}/%{name}/

%changelog
* Thu Oct 25 2012 Christophe Burgun <jouty@fedoraproject.org> 1.4.6-3
- Switch xdg to install command
- Add icons to file section
- Add  new icon name with desktop-file-install option

* Tue Oct 23 2012 Christophe Burgun <jouty@fedoraproject.org> 1.4.6-2
- Change Source0 url conform to guidelines
- Change desktop name conform to guidelines
- delete INSTALL.html in doc
- Change /usr/bin to bindir macro
- Solve directory ownership problems
- Change patch name and add comment for the patch 

* Wed Aug 29 2012 Christophe Burgun <jouty@fedoraproject.org> 1.4.6-1
- Init spec
